{% extends "base.html" %}
{% load static%}
{% block link %}
<link rel="stylesheet" href="{% static 'programs.css' %}">{% endblock %}
{% block content %}
<div class="body">
    <h1 style="color: black; margin: 30px 0;">List Program</h1>
    <div class="programs">
        {% for program in program_list %}
        <a class="program" href="/donasi">
            <div class="placeholder">
                <img src="{{program.img_source}}" alt="" srcset="">
            </div>
            <div class="program__nama">
                <h1>{{program.title}}</h1>
            </div>
            <div class="program__details">
                <p id="top">{{program.desc}}</p>
                <p>Terkumpul dana Rp{{program.total}} <br> dari Rp{{program.target}}</p>
                <p id="bot">Batas waktu : {{program.due | date:"D d M Y"}}, {{program.due | time:"H:i"}}</p>
            </div>
        </a>
        {% endfor %}
    </div>
    <a href="/admin" class="button" style="color:white; margin-top: 20px;">Tambahkan Program</a>
</div>
{% endblock %}